%%textdomain fatdoghelp
![ ](fatdog64.png)
# BluRay support

The VLC media player in Fatdog64 can support BluRay playback.

For that to work you must install a file containing the keys. 
The name of the file is **KEYDB.cfg** and it is placed in **~/.config/aacs/**. 
The KEYDB.cfg file provides processing keys and a host key that provides decryption. 
The processing keys are changed occasionally.

The revision of the processing keys correspond with Media Key Block (MKB) version. Currently there are KEYDB.cfg files that support up to MKB version 61.  The MKB gets revoked when a disk with a newer MKB version is used, making playback impossible for unknown encrypted disks until a newer MKB is installed.

Another optional file named **vuk**, available [here](https://vlc-bluray.whoknowsmy.name/), which would also be placed in **~/.config/aacs/**, also contains keys that are specific to particular disks. The vuk keys can also be combined into the KEYDB.cfg file, and vice versa.  Disks listed in the vuk list can be played even if the MKB version is not up to date.

## Steps to play a BluRay in Fatdog64:

1) Check your local laws to see if it is legal for you to play the disks that you own. Sadly that's not a joke.

2) Find a [file](http://www.labdv.com/aacs/advanced-users.php KEYDB.cfg) and put it in ~/.config/aacs; for most users you'll have it here: **/root/.config/KEYDB.cfg**.
 
3) Click on the optical disk icon on your desktop. VLC should play the Bluray.

If it does not play it probably means either that your KEYDB.cfg doesn't have a key to support the MKB version of your disk, or your disk is not included in the vuk library.

***

A good page to look at for more information is [here](https://wiki.archlinux.org/index.php/Blu-ray). 
